curl --request GET \
--url https://int-data.moneydesktop.com/members/{member_guid}/account_owners \
--header 'MD-SESSION-TOKEN: <api-key>'import requests
url = "https://int-data.moneydesktop.com/members/{member_guid}/account_owners"
headers = {"MD-SESSION-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'MD-SESSION-TOKEN': '<api-key>'}};
fetch('https://int-data.moneydesktop.com/members/{member_guid}/account_owners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_owners": [
{
"account_guid": "ACT-f0c7d835-9668-4306-b8b4-ff60fc241e8d",
"address": "3401 N Thanksgiving Way",
"city": "Lehi",
"country": "United States",
"email": "mxuser.mx.com",
"first_name": "<string>",
"last_name": "<string>",
"member_guid": "MBR-84ca0882-ad6c-4f10-817f-c8c0de7424fa",
"owner_name": "MX Test",
"phone": "555-555-5555",
"postal_code": "84034",
"state": "Utah",
"user_guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
}
]
}List Account Owners
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
The unique identifier for a member. Defined by MX.
Response
OK
Hide child attributes
Hide child attributes
The unique identifier for the account associated with the account owner. Defined by MX.
"ACT-f0c7d835-9668-4306-b8b4-ff60fc241e8d"
The account owner's street address.
"3401 N Thanksgiving Way"
The account owner's city.
"Lehi"
The account owner's country.
"United States"
The account owner's email address.
"mxuser.mx.com"
The account owner's first name. This may also include a middle name. This field will be null unless name splitting has been enabled. Contact MX to have this feature enabled.
The account owner's last name. This field will be null unless name splitting has been enabled. Contact MX to have this feature enabled.
The unique identifier for the member associated with the account owner. Defined by MX.
"MBR-84ca0882-ad6c-4f10-817f-c8c0de7424fa"
The account owner's name.
"MX Test"
The account owner's phone number.
"555-555-5555"
The account owner's postal code.
"84034"
The account owner's state.
"Utah"
The unique identifier for the user associated with the account owner. Defined by MX.
"USR-11141024-90b3-1bce-cac9-c06ced52ab4c"

